Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.expr
Class JIExprJava

`java.lang.Object
oracle.jbo.expr.JIInput
oracle.jbo.expr.JIExpr
oracle.jbo.expr.JIExprJava`

public class JIExprJava
extends JIExpr

Field Summary

Fields inherited from class oracle.jbo.expr.JIExpr
`NULL_COMP_ALLOWED_FALSE, NULL_COMP_ALLOWED_TRUE, NULL_COMP_NOT_ALLOWED`

Fields inherited from class oracle.jbo.expr.JIInput
`lexCharBegin, lexCharEnd, lexStringBegin, lexStringEnd, WORD_POS_STACK_DEPTH, WORD_TYP_BOOLEAN, WORD_TYP_CHAR, WORD_TYP_IDENT, WORD_TYP_INTEGER, WORD_TYP_NONE, WORD_TYP_NULL, WORD_TYP_STRING, WORD_TYP_UNKNOWN`

Constructor Summary
`JIExprJava()`
`JIExprJava(java.io.LineNumberReader ins)`

Method Summary
`boolean` | `checkForReservedWord(java.lang.String word, int nodeTyp)`
`java.lang.Class` | `findClass(java.lang.String name)`
`int` | `getComparisonOperators(JIToken word)`
`java.lang.String[]` | `getPackages()`
`java.lang.String` | `getReservedWord(int nodeType)`
`JIParserNode` | `getTerm()`
`void` | `setPackages(java.lang.String[] packages)`

Methods inherited from class oracle.jbo.expr.JIExpr
`getAddExpr, getAssignExpr, getBooleanExpr, getBooleanExprVal, getCastingClass, getCompareExpr, getExpr, getExprVal, getIdentTerm, getMultiplyExpr, getNullComparison, isShowParseTree, noMoreTokenCheck, setShowParseTree`

Methods inherited from class oracle.jbo.expr.JIInput
`findNextWord, findNextWord, getInStream, getLine, getPos, getTheRestOfLine, getTheRestOfLineTrim, initLexChars, isAlpha, isNumber, pushWord, readLine, rewindWord, setContinueRead, setIdentToUpper, setInStream, setLine, setPos`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JIExprJava

    public JIExprJava()

### JIExprJava

    public JIExprJava(java.io.LineNumberReader ins)

Method Detail

### getPackages

    public java.lang.String[] getPackages()

### setPackages

    public void setPackages(java.lang.String[] packages)

### findClass

    public java.lang.Class findClass(java.lang.String name)
                              throws java.lang.ClassNotFoundException

  Specified by:
    `findClass` in class `JIExpr`
  Throws:
    `java.lang.ClassNotFoundException`

### getTerm

    public JIParserNode getTerm()

  Overrides:
    `getTerm` in class `JIExpr`

### getComparisonOperators

    public int getComparisonOperators(JIToken word)

  Specified by:
    `getComparisonOperators` in class `JIExpr`

### getReservedWord

    public java.lang.String getReservedWord(int nodeType)

  Specified by:
    `getReservedWord` in class `JIExpr`

### checkForReservedWord

    public boolean checkForReservedWord(java.lang.String word,
                                        int nodeTyp)

  Specified by:
    `checkForReservedWord` in class `JIExpr`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.